BEGIN tafamil

IF ~Global("SawTAFamil","GLOBAL",1)~ THEN BEGIN 0
  SAY ~(Strange mist not far from Tashia slowly forms into a large cat-like creature, emitting a low purring sound.)~
  IF ~~ THEN DO ~SetGlobal("SawTAFamil","GLOBAL",2)~ EXTERN tashiaj 235
END

APPEND tashiaj
  IF ~~ THEN BEGIN 235
    SAY ~Peanelian, my trusted friend! You've fared well, I hope? <CHARNAME>, meet Peanelian, my long-time dependable companion.~
    IF ~~ THEN REPLY ~Uhh...what manner of creature is this beast?~ EXTERN tashiaj 236
    IF ~~ THEN REPLY ~Hi there shifting... thing... whatever you are.~ EXTERN tashiaj 236
  END
END

APPEND tashiaj
  IF ~~ THEN BEGIN 236
    SAY ~Ha ha! Peanelian is a spirit of a leopard, summoned from some other plane by the magic imbued into my Scrimshaw toy. Don't ask me how it works... I just know that it does. This figurine was enchanted for me as a gift, and I dared not supervise the immense effort involved in such a difficult undertaking.~ = ~He has aided me more than once in most perilous times... Treat him well, please!~
    IF ~~ THEN EXIT
  END
END
